Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.borg.model
Class Day

    java.lang.Object
      net.sf.borg.model.Day

    public class Day

extends Object

Class Day pulls together and manages all of the items that make up the CalendarEntities for a single day. It packages together all of a day's info as needed by a client (i.e. the UI).

Method Summary
`static Day` | `getDay(int year, int month, int day)` Gets the Day information for a given day.
`int` | `getHoliday()` Gets the holiday flag.
`Collection<CalendarEntity>` | `getItems()` Gets all CalendarEntity items for the Day.
`int` | `getVacation()` Gets the vacation value for the Day.
`void` | `setHoliday(int i)` Sets the holiday value
`void` | `setVacation(int i)` Sets the vacation value

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDay

    public static Day getDay(int year,
                             int month,
                             int day)
                      throws Exception

  Gets the Day information for a given day.

  Parameters:
    `year` - the year
    `month` - the month
    `day` - the day
  Returns:
    the Day object
  Throws:
    `Exception` - the exception

### getHoliday

    public int getHoliday()

  Gets the holiday flag.

  Returns:
    the holiday (1 = holiday)

### getItems

    public Collection<CalendarEntity> getItems()

  Gets all CalendarEntity items for the Day.

  Returns:
    the items

### getVacation

    public int getVacation()

  Gets the vacation value for the Day.

  Returns:
    the vacation value (0 = none, 1 = full day, 2 = half day)

### setHoliday

    public void setHoliday(int i)

  Sets the holiday value

  Parameters:
    `i` - the new holiday value

### setVacation

    public void setVacation(int i)

  Sets the vacation value

  Parameters:
    `i` - the new vacation value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated September 24 2010 by mbb using Apache Ant version 1.7.1 compiled on June 27 2008 and Java version 1.6.0_20 from Sun Microsystems Inc. on Linux i386 2.6.24-28-generic